# PSF-LoginServer - master - net.psforever.objects.vital.damage.StandardDamageProfile
PSF - LoginServer - master - net.psforever.objects.vital.damage.StandardDamageProfile
Keywords: PSF LoginServer master net.psforever.objects.vital.damage.StandardDamageProfile

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vital
  Definition Classes
    objects
-  package damage
  Definition Classes
    vital
- DamageCalculations
- DamageModifierFunctions
- DamageProfile
- GalaxyGunshipReduction
- RadialDegrade
- SameHit
- SpecificDamageProfile
- StandardDamageProfile

t

net.psforever.objects.vital.damage

# StandardDamageProfile 

###
Companion object StandardDamageProfile

#### trait StandardDamageProfile extends DamageProfile

A static modifier for damage. Typically considered the "raw damage" when a part of the "damage source". The value determination cascades down to the first defined one. Requesting `Damage3` returns the value for `Damage1` if `Damage3 == None` and `Damage2 == None` but `Damage1` is defined.

Source
  StandardDamageProfile.scala

Linear Supertypes
DamageProfile, AnyRef, Any
Known Subclasses
ProjectileDefinition, DamageProperties, DamageWithPosition

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. StandardDamageProfile
2. DamageProfile
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Damage0: Int

   `damage0` is for basic infantry

   `damage0` is for basic infantry

   Definition Classes
     StandardDamageProfile → DamageProfile
5.  def Damage0_=(damage: Option[Int]): Int
6.  def Damage0_=(damage: Int): Int

   `damage0` is for basic infantry

   `damage0` is for basic infantry

   Definition Classes
     StandardDamageProfile → DamageProfile
7.  def Damage1: Int

   `damage1` is for armor, amenities, deployables, etc.

   `damage1` is for armor, amenities, deployables, etc.

   Definition Classes
     StandardDamageProfile → DamageProfile
8.  def Damage1_=(damage: Option[Int]): Int
9.  def Damage1_=(damage: Int): Int

   `damage1` is for armor, amenities, deployables, etc.

   `damage1` is for armor, amenities, deployables, etc.

   Definition Classes
     StandardDamageProfile → DamageProfile
10.  def Damage2: Int

    `damage2` is for aircraft

    `damage2` is for aircraft

    Definition Classes
      StandardDamageProfile → DamageProfile
11.  def Damage2_=(damage: Option[Int]): Int
12.  def Damage2_=(damage: Int): Int

    `damage2` is for aircraft

    `damage2` is for aircraft

    Definition Classes
      StandardDamageProfile → DamageProfile
13.  def Damage3: Int

    `damage3` is for mechanized infantry

    `damage3` is for mechanized infantry

    Definition Classes
      StandardDamageProfile → DamageProfile
14.  def Damage3_=(damage: Option[Int]): Int
15.  def Damage3_=(damage: Int): Int

    `damage3` is for mechanized infantry

    `damage3` is for mechanized infantry

    Definition Classes
      StandardDamageProfile → DamageProfile
16.  def Damage4: Int

    `damage4` is for battleframe robotics

    `damage4` is for battleframe robotics

    Definition Classes
      StandardDamageProfile → DamageProfile
17.  def Damage4_=(damage: Option[Int]): Int
18.  def Damage4_=(damage: Int): Int

    `damage4` is for battleframe robotics

    `damage4` is for battleframe robotics

    Definition Classes
      StandardDamageProfile → DamageProfile
19.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
20.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
21.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
23.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
24.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
25.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
26.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
27.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
28.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
29.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
30.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
31.  def toString(): String
    Definition Classes
      AnyRef → Any
32.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
33.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
34.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from DamageProfile

### Inherited from AnyRef

### Inherited from Any

### Ungrouped